export declare namespace Dp {
	interface Item {
		label: string;
		name: string;
		isOnly?: boolean;
		component: {
			name?: string;
			props: {
				children?: any[];
				label?: string;
				[key: string]: any;
			};
		};
		config?: {
			tips?: string;
			items?: ClForm.Item[];
			[key: string]: any;
		};
		[key: string]: any;
	}

	interface Provide {
		pageActive: string;
		pageData: any[];
		getData(): any[];
		toDet(item: any): void;
		setActive(id: string): void;
		add(data: any): void;
		removeSuspension(): void;
		remove(index: number): void;
		removeBy(options: { id?: string; index?: number }): void;
		clear(): boolean;
		hasTemp(name: string): boolean;
		hasSuspension(): boolean;
		clearConfig(id?: string): void;
		saveDraft(): void;
		scrollToBottom(): void;
		setHeader(): void;
		setSuspension(): void;
		setFormList(): void;
	}
}
